Bug 205767 - Need a BR: utempter is kdelibs.spec
Need a BR: utempter is kdelibs.spec
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2006-09-08 08:53 EDT by Laurent Rineau
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-12 05:22:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Laurent Rineau 2006-09-08 08:53:09 EDT
kdelibs should have 
  BuildRequires: utempter

I do not know what was the chain of BuildRequires that lead to that, but in 
FC-4, %{_libdir}/libkdecore.so.4.2.0 requires libutempter.so.0, whereas it 
does not in FC-5. As a consequence, konsole no longer register itself to utmp 
or wtmp. If that BR: utempter is added, the configure script of kdelibs will 
automaticaly add utempter support.
Comment 1 Ngo Than 2006-09-12 05:22:13 EDT
it's now fixed in kdelibs-3_5_4-6_fc6. It will be included in next rawhide 
soon. Thanks for your report.
Comment 2 Rex Dieter 2006-09-15 14:00:50 EDT
Uh, but utempter isn't *in* fc6 (anymore), see
"FC Packages dropped between release 5 and devel"
Comment 3 Laurent Rineau 2006-09-15 14:10:08 EDT
Great! :-S

Anyway, I would have liked this bug be fixed in FC-5.

What will be the solution, in FC-6, for konsole users to be registered in 
Comment 4 Rex Dieter 2006-09-15 14:14:44 EDT
> Anyway, I would have liked this bug be fixed in FC-5.

It is (will be), in kdelibs-3.5.4-0.3.fc5

> What will be the solution, in FC-6...

I just (basically) posed that question to fedora-devel.
Comment 5 Rex Dieter 2006-09-15 14:21:05 EDT
OK, false alarm, FC-6 has libutempter, which replaces utempter.
Comment 6 Ville Skyttä 2006-11-01 01:30:07 EST
Unfortunately this (not the BR, but the utmp issue) seems to be broken again in
FC6, see bug 213369.

Note You need to log in before you can comment on or make changes to this bug.